Groovy Documentation

## org.codehaus.groovy.binding
[Java] Class BindPath

    java.lang.Object
      org.codehaus.groovy.binding.BindPath

    @SuppressWarnings({"unchecked"}) // all are of type Object, so generics are useless
    public class BindPath {
    public class BindPath

The bind path object. This class represents one "step" in the bind path.

Method Summary
`void` | `addAllListeners(java.beans.PropertyChangeListener listener, java.lang.Object newObject, java.util.Set updateSet)` Adds all the listeners to the objects in the bind path.
`void` | `addListeners(java.beans.PropertyChangeListener listener, java.lang.Object newObject, java.util.Set updateSet)`
`TriggerBinding` | `getSyntheticTriggerBinding(java.lang.Object newObject)`
`void` | `removeListeners()` Remove listeners, believeing that our bould flags are accurate and it removes only as declared.
`void` | `updateLocalSyntheticProperties(java.util.Map synthetics)`
`void` | `updatePath(java.beans.PropertyChangeListener listener, java.lang.Object newObject, java.util.Set updateSet)` Called when we detect a change somewhere down our path.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addAllListeners

    public void addAllListeners(java.beans.PropertyChangeListener listener, java.lang.Object newObject, java.util.Set updateSet)

  Adds all the listeners to the objects in the bind path. This assumes that we are not added as listeners to any of them, hence it is not idempotent.
  Parameters:
    `listener` - This listener to attach.
    `newObject` - The object we should read our property off of.
    `updateSet` - The list of objects we have added listeners to

### addListeners

    public void addListeners(java.beans.PropertyChangeListener listener, java.lang.Object newObject, java.util.Set updateSet)

### getSyntheticTriggerBinding

    public TriggerBinding getSyntheticTriggerBinding(java.lang.Object newObject)

### removeListeners

    public void removeListeners()

  Remove listeners, believeing that our bould flags are accurate and it removes only as declared.

### updateLocalSyntheticProperties

    public void updateLocalSyntheticProperties(java.util.Map synthetics)

### updatePath

    public void updatePath(java.beans.PropertyChangeListener listener, java.lang.Object newObject, java.util.Set updateSet)

  Called when we detect a change somewhere down our path. First, check to see if our object is changing. If so remove our old listener Next, update the reference object the children have and recurse Finally, add listeners if we have a different object
  Parameters:
    `listener` - This listener to attach.
    `newObject` - The object we should read our property off of.
    `updateSet` - The list of objects we have added listeners to

Groovy Documentation